\name{plotModule}
\alias{plotModule}
\title{ plot the eQTL modules }
\description{
  plot eqtl modules chromosome by chromosome.
  Modules are found by function eqtl.module. 
}
\usage{
plotModule(module, eqtls, mInfo, figure="eqtl_module.ps")
}
\arguments{
  \item{mInfo}{ information data.frame of all the markers.
   This data.frame should include at least three variables:
   ID, chr, and  start}
  \item{eqtls}{ data.frame of eqtl mapping result.
   This data.frame should include at least two variables:
   markerID and geneID }
  \item{module}{ modules found by function eqtl.module }
  \item{figure}{ the output figure name }
}
\examples{
  data(eData.y112)
  data(mData.y112)
  data(mInfo.y112)
  data(eqtl.y112)
  module = eModule(eData.y112, mData.y112, mInfo.y112, eqtl.y112)
  plotModule(module, eqtl.y112, mInfo.y112, figure = "eqtl_module.ps")
}
\author{ Wei Sun sunwei@stat.ucla.edu }
\seealso{\code{\link{eModule}}}
\keyword{ hplot }
